Skip to main content

Get All Groups

GET 

/v1/sandbox/:sandbox_id/match-making-template-group

Get all MatchMakingTemplateGroups in a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    groups

    object[]

    List of MatchMakingTemplateGroups

  • Array [

  • name Name (string)required

    Possible values: non-empty and <= 50 characters

    Readable name to describe this ruleset

    match_making_template_group_id uuidrequired

    ID to uniquely identify this MatchMakingTemplateGroup

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

  • ]

Loading...